stages:
    - build

variables:
    GIT_SUBMODULE_STRATEGY: 'recursive'
    DOCKER_DRIVER: overlay2

.armhf: &armhf
    variables:
        ARCH: "armhf"
        ARCH_TRIPLET: "arm-linux-gnueabihf"

.arm64: &arm64
    variables:
        ARCH: "arm64"
        ARCH_TRIPLET: "aarch64-linux-gnu"

.amd64: &amd64
    variables:
        ARCH: "amd64"
        ARCH_TRIPLET: "x86_64-linux-gnu"

.build:
    image: "clickable/ci-20.04-$ARCH"
    stage: build
    script: 'clickable build --clean --all --arch $ARCH --accept-review-errors'
    artifacts:
        paths:
            - "build/$ARCH_TRIPLET/app"
        expire_in: 1 week

build-armhf:
    <<: *armhf
    extends: .build

build-arm64:
    <<: *arm64
    extends: .build

build-amd64:
    <<: *amd64
    extends: .build